Package com.documentum.fc.client

# Class DfService

java.lang.Object
com.documentum.fc.client.DfService

All Implemented Interfaces:
  `IDfModule`, `IDfService`

public abstract class DfService extends Object implements IDfService
The superclass for all service-based business objects. All Documentum Business Objects Framework service-based business objects must extend the DfService class as well as implement the IDfService interface in order to provide some common functionality for all services.

Since:
  5.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanupResources()`
  Deprecated.
  `String`
  `getName()`
  Returns the fully qualified logical name of the service interface.
  `IDfSession`
  `getSession(String docbaseName)`
  Obtains a handle to a Docbase session.
  `IDfSessionManager`
  `getSessionManager()`
  Gets the session manager.
  `String`
  `getVendorString()`
  Gets the Copyright statement string.
  `String`
  `getVersion()`
  Gets the current version of the service as a string.
  `boolean`
  `isCompatible(String version)`
  Checks if this object is compatible with the specified version.
  `void`
  `releaseSession(IDfSession session)`
  Releases a handle to a Docbase session.
  `void`
  `setSessionManager(IDfSessionManager sessionManager)`
  Called by the runtime environment during service creation to associate a session manager with this service instance.
  `boolean`
  `supportsFeature(String feature)`
  Checks if the specified feature is supported by the implementation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DfService

    public DfService()

- ## Method Details

  - ### getName

    public String getName()
    Returns the fully qualified logical name of the service interface.

    This is a default implementation that may work in many cases. Most services will choose to override this method with a more accurate implementation.

    Specified by:
      `getName` in interface `IDfService`
    Returns:
      logical service name

  - ### getVersion

    public String getVersion()
    Gets the current version of the service as a string.

    This is a default implementation that returns a sample version. Most services will choose to override this method with a more meaningful implementation.

    Specified by:
      `getVersion` in interface `IDfService`
    Returns:
      version string
    See Also:
      - `IDfService.isCompatible(java.lang.String)`
      - `IDfService.supportsFeature(java.lang.String)`

  - ### getVendorString

    public String getVendorString()
    Gets the Copyright statement string.

    This is a default implementation that returns an empty string. Many services will choose to override this method with a more meaningful implementation.

    Specified by:
      `getVendorString` in interface `IDfService`
    Returns:
      copyright statement

  - ### isCompatible

    public boolean isCompatible(String version)
    Checks if this object is compatible with the specified version.

    This is a default implementation that returns true if the version is an exact match. Many services will choose to override this method with a more meaningful implementation.

    Specified by:
      `isCompatible` in interface `IDfService`
    Parameters:
      `version` - version string of format: `<major version>.<minor version>`. Example: `"1.0"`
    Returns:
      `true` if service is compatible with the version (`false` if incompatible)

  - ### supportsFeature

    public boolean supportsFeature(String feature)
    Checks if the specified feature is supported by the implementation.

    This is a default implementation that returns false. Many services will choose to override this method with a more meaningful implementation.

    Specified by:
      `supportsFeature` in interface `IDfService`
    Parameters:
      `feature` - feature string
    Returns:
      true if feature is supported (`false` if the feature is not supported)

  - ### cleanupResources

    public void cleanupResources() throws DfServiceException
    Deprecated.
    Provides to the service client an opportunity to release some service specific resources before the Java garbage collector collects the object.

    This method should not be used. Letting the client control cleanup can interfere with container life-cycle management.

    Specified by:
      `cleanupResources` in interface `IDfService`
    Throws:
      `DfServiceException` - Internal error

  - ### setSessionManager

    public void setSessionManager(IDfSessionManager sessionManager)
    Called by the runtime environment during service creation to associate a session manager with this service instance.

    This implementation is typically sufficient and doesn't need to be overridden.

  - ### getSessionManager

    public IDfSessionManager getSessionManager()
    Gets the session manager.
    Specified by:
      `getSessionManager` in interface `IDfService`
    Returns:
      the `IDfSessionManager`

  - ### getSession

    public IDfSession getSession(String docbaseName) throws DfServiceException
    Obtains a handle to a Docbase session.

    Each time this method is called a corresponding call to `releaseSession(com.documentum.fc.client.IDfSession)` must be made once you are through using the session.

    Specified by:
      `getSession` in interface `IDfService`
    Parameters:
      `docbaseName` - name of the Docbase
    Returns:
      a session
    Throws:
      `DfServiceException`

  - ### releaseSession

    public void releaseSession(IDfSession session) throws DfServiceException
    Releases a handle to a Docbase session.

    This method must be called for each call to `getSession(java.lang.String)` after you are through using the session.

    Specified by:
      `releaseSession` in interface `IDfService`
    Parameters:
      `session` - a session that was obtained from `getSession(java.lang.String)`.
    Throws:
      `DfServiceException` - Internal error